/*
 * dali_cust_cmds.h
 *
 *  Created on: 30.03.2020
 *      Author: fkeil
 */

#ifndef INC_DALI_CUST_CMDS_H_
#define INC_DALI_CUST_CMDS_H_

#define DALI_FIRMWARE_VERSION 0104 // <-- octal literal! Maximum is 0377.

enum {
	DALI_CUSTCMD_FIRMWARE_VERSION,         // 0, 0x00
	DALI_CUSTCMD_RESERVED_001,             // 1, 0x01
	DALI_CUSTCMD_RESERVED_002,             // 2, 0x02
	DALI_CUSTCMD_RESERVED_003,             // 3, 0x03
	DALI_CUSTCMD_RESERVED_004,             // 4, 0x04
	DALI_CUSTCMD_RESERVED_005,             // 5, 0x05
	DALI_CUSTCMD_RESERVED_006,             // 6, 0x06
	DALI_CUSTCMD_RESERVED_007,             // 7, 0x07
	DALI_CUSTCMD_RESERVED_008,             // 8, 0x08
	DALI_CUSTCMD_RESERVED_009,             // 9, 0x09
	DALI_CUSTCMD_RESERVED_010,             // 10, 0x0A
	DALI_CUSTCMD_RESERVED_011,             // 11, 0x0B
	DALI_CUSTCMD_RESERVED_012,             // 12, 0x0C
	DALI_CUSTCMD_RESERVED_013,             // 13, 0x0D
	DALI_CUSTCMD_RESERVED_014,             // 14, 0x0E
	DALI_CUSTCMD_RESERVED_015,             // 15, 0x0F
	DALI_CUSTCMD_RESERVED_016,             // 16, 0x10
	DALI_CUSTCMD_RESERVED_017,             // 17, 0x11
	DALI_CUSTCMD_RESERVED_018,             // 18, 0x12
	DALI_CUSTCMD_RESERVED_019,             // 19, 0x13
	DALI_CUSTCMD_RESERVED_020,             // 20, 0x14
	DALI_CUSTCMD_RESERVED_021,             // 21, 0x15
	DALI_CUSTCMD_RESERVED_022,             // 22, 0x16
	DALI_CUSTCMD_RESERVED_023,             // 23, 0x17
	DALI_CUSTCMD_RESERVED_024,             // 24, 0x18
	DALI_CUSTCMD_RESERVED_025,             // 25, 0x19
	DALI_CUSTCMD_RESERVED_026,             // 26, 0x1A
	DALI_CUSTCMD_RESERVED_027,             // 27, 0x1B
	DALI_CUSTCMD_RESERVED_028,             // 28, 0x1C
	DALI_CUSTCMD_RESERVED_029,             // 29, 0x1D
	DALI_CUSTCMD_RESERVED_030,             // 30, 0x1E
	DALI_CUSTCMD_RESERVED_031,             // 31, 0x1F
	DALI_CUSTCMD_IS_FAILURE_STATE,         // 32, 0x20
	DALI_CUSTCMD_RESERVED_033,             // 33, 0x21
	DALI_CUSTCMD_RESERVED_034,             // 34, 0x22
	DALI_CUSTCMD_RESERVED_035,             // 35, 0x23
	DALI_CUSTCMD_RESERVED_036,             // 36, 0x24
	DALI_CUSTCMD_RESERVED_037,             // 37, 0x25
	DALI_CUSTCMD_RESERVED_038,             // 38, 0x26
	DALI_CUSTCMD_RESERVED_039,             // 39, 0x27
	DALI_CUSTCMD_RESERVED_040,             // 40, 0x28
	DALI_CUSTCMD_RESERVED_041,             // 41, 0x29
	DALI_CUSTCMD_RESERVED_042,             // 42, 0x2A
	DALI_CUSTCMD_RESERVED_043,             // 43, 0x2B
	DALI_CUSTCMD_RESERVED_044,             // 44, 0x2C
	DALI_CUSTCMD_RESERVED_045,             // 45, 0x2D
	DALI_CUSTCMD_RESERVED_046,             // 46, 0x2E
	DALI_CUSTCMD_RESERVED_047,             // 47, 0x2F
	DALI_CUSTCMD_RESERVED_048,             // 48, 0x30
	DALI_CUSTCMD_RESERVED_049,             // 49, 0x31
	DALI_CUSTCMD_RESERVED_050,             // 50, 0x32
	DALI_CUSTCMD_RESERVED_051,             // 51, 0x33
	DALI_CUSTCMD_RESERVED_052,             // 52, 0x34
	DALI_CUSTCMD_RESERVED_053,             // 53, 0x35
	DALI_CUSTCMD_RESERVED_054,             // 54, 0x36
	DALI_CUSTCMD_RESERVED_055,             // 55, 0x37
	DALI_CUSTCMD_RESERVED_056,             // 56, 0x38
	DALI_CUSTCMD_RESERVED_057,             // 57, 0x39
	DALI_CUSTCMD_RESERVED_058,             // 58, 0x3A
	DALI_CUSTCMD_RESERVED_059,             // 59, 0x3B
	DALI_CUSTCMD_RESERVED_060,             // 60, 0x3C
	DALI_CUSTCMD_RESERVED_061,             // 61, 0x3D
	DALI_CUSTCMD_RESERVED_062,             // 62, 0x3E
	DALI_CUSTCMD_RESERVED_063,             // 63, 0x3F
	DALI_CUSTCMD_GPIO0_READ,               // 64, 0x40
	DALI_CUSTCMD_GPIO0_WRITE_HIGH,         // 65, 0x41
	DALI_CUSTCMD_GPIO0_WRITE_LOW,          // 66, 0x42
	DALI_CUSTCMD_RESERVED_067,             // 67, 0x43
	DALI_CUSTCMD_RESERVED_068,             // 68, 0x44
	DALI_CUSTCMD_RESERVED_069,             // 69, 0x45
	DALI_CUSTCMD_RESERVED_070,             // 70, 0x46
	DALI_CUSTCMD_RESERVED_071,             // 71, 0x47
	DALI_CUSTCMD_RESERVED_072,             // 72, 0x48
	DALI_CUSTCMD_RESERVED_073,             // 73, 0x49
	DALI_CUSTCMD_RESERVED_074,             // 74, 0x4A
	DALI_CUSTCMD_RESERVED_075,             // 75, 0x4B
	DALI_CUSTCMD_RESERVED_076,             // 76, 0x4C
	DALI_CUSTCMD_RESERVED_077,             // 77, 0x4D
	DALI_CUSTCMD_RESERVED_078,             // 78, 0x4E
	DALI_CUSTCMD_RESERVED_079,             // 79, 0x4F
	DALI_CUSTCMD_RESERVED_080,             // 80, 0x50
	DALI_CUSTCMD_RESERVED_081,             // 81, 0x51
	DALI_CUSTCMD_RESERVED_082,             // 82, 0x52
	DALI_CUSTCMD_RESERVED_083,             // 83, 0x53
	DALI_CUSTCMD_RESERVED_084,             // 84, 0x54
	DALI_CUSTCMD_RESERVED_085,             // 85, 0x55
	DALI_CUSTCMD_RESERVED_086,             // 86, 0x56
	DALI_CUSTCMD_RESERVED_087,             // 87, 0x57
	DALI_CUSTCMD_RESERVED_088,             // 88, 0x58
	DALI_CUSTCMD_RESERVED_089,             // 89, 0x59
	DALI_CUSTCMD_RESERVED_090,             // 90, 0x5A
	DALI_CUSTCMD_RESERVED_091,             // 91, 0x5B
	DALI_CUSTCMD_RESERVED_092,             // 92, 0x5C
	DALI_CUSTCMD_RESERVED_093,             // 93, 0x5D
	DALI_CUSTCMD_RESERVED_094,             // 94, 0x5E
	DALI_CUSTCMD_RESERVED_095,             // 95, 0x5F
	DALI_CUSTCMD_RESERVED_096,             // 96, 0x60
	DALI_CUSTCMD_RESERVED_097,             // 97, 0x61
	DALI_CUSTCMD_RESERVED_098,             // 98, 0x62
	DALI_CUSTCMD_RESERVED_099,             // 99, 0x63
	DALI_CUSTCMD_RESERVED_100,             // 100, 0x64
	DALI_CUSTCMD_RESERVED_101,             // 101, 0x65
	DALI_CUSTCMD_RESERVED_102,             // 102, 0x66
	DALI_CUSTCMD_RESERVED_103,             // 103, 0x67
	DALI_CUSTCMD_RESERVED_104,             // 104, 0x68
	DALI_CUSTCMD_RESERVED_105,             // 105, 0x69
	DALI_CUSTCMD_RESERVED_106,             // 106, 0x6A
	DALI_CUSTCMD_RESERVED_107,             // 107, 0x6B
	DALI_CUSTCMD_RESERVED_108,             // 108, 0x6C
	DALI_CUSTCMD_RESERVED_109,             // 109, 0x6D
	DALI_CUSTCMD_RESERVED_110,             // 110, 0x6E
	DALI_CUSTCMD_RESERVED_111,             // 111, 0x6F
	DALI_CUSTCMD_RESERVED_112,             // 112, 0x70
	DALI_CUSTCMD_RESERVED_113,             // 113, 0x71
	DALI_CUSTCMD_RESERVED_114,             // 114, 0x72
	DALI_CUSTCMD_RESERVED_115,             // 115, 0x73
	DALI_CUSTCMD_RESERVED_116,             // 116, 0x74
	DALI_CUSTCMD_RESERVED_117,             // 117, 0x75
	DALI_CUSTCMD_RESERVED_118,             // 118, 0x76
	DALI_CUSTCMD_RESERVED_119,             // 119, 0x77
	DALI_CUSTCMD_RESERVED_120,             // 120, 0x78
	DALI_CUSTCMD_RESERVED_121,             // 121, 0x79
	DALI_CUSTCMD_RESERVED_122,             // 122, 0x7A
	DALI_CUSTCMD_RESERVED_123,             // 123, 0x7B
	DALI_CUSTCMD_RESERVED_124,             // 124, 0x7C
	DALI_CUSTCMD_RESERVED_125,             // 125, 0x7D
	DALI_CUSTCMD_RESERVED_126,             // 126, 0x7E
	DALI_CUSTCMD_RESERVED_127,             // 127, 0x7F
	DALI_CUSTCMD_RESERVED_128,             // 128, 0x80
	DALI_CUSTCMD_RESERVED_129,             // 129, 0x81
	DALI_CUSTCMD_RESERVED_130,             // 130, 0x82
	DALI_CUSTCMD_RESERVED_131,             // 131, 0x83
	DALI_CUSTCMD_RESERVED_132,             // 132, 0x84
	DALI_CUSTCMD_RESERVED_133,             // 133, 0x85
	DALI_CUSTCMD_RESERVED_134,             // 134, 0x86
	DALI_CUSTCMD_RESERVED_135,             // 135, 0x87
	DALI_CUSTCMD_RESERVED_136,             // 136, 0x88
	DALI_CUSTCMD_RESERVED_137,             // 137, 0x89
	DALI_CUSTCMD_RESERVED_138,             // 138, 0x8A
	DALI_CUSTCMD_RESERVED_139,             // 139, 0x8B
	DALI_CUSTCMD_RESERVED_140,             // 140, 0x8C
	DALI_CUSTCMD_RESERVED_141,             // 141, 0x8D
	DALI_CUSTCMD_RESERVED_142,             // 142, 0x8E
	DALI_CUSTCMD_RESERVED_143,             // 143, 0x8F
	DALI_CUSTCMD_RESERVED_144,             // 144, 0x90
	DALI_CUSTCMD_RESERVED_145,             // 145, 0x91
	DALI_CUSTCMD_RESERVED_146,             // 146, 0x92
	DALI_CUSTCMD_RESERVED_147,             // 147, 0x93
	DALI_CUSTCMD_RESERVED_148,             // 148, 0x94
	DALI_CUSTCMD_RESERVED_149,             // 149, 0x95
	DALI_CUSTCMD_RESERVED_150,             // 150, 0x96
	DALI_CUSTCMD_RESERVED_151,             // 151, 0x97
	DALI_CUSTCMD_RESERVED_152,             // 152, 0x98
	DALI_CUSTCMD_RESERVED_153,             // 153, 0x99
	DALI_CUSTCMD_RESERVED_154,             // 154, 0x9A
	DALI_CUSTCMD_RESERVED_155,             // 155, 0x9B
	DALI_CUSTCMD_RESERVED_156,             // 156, 0x9C
	DALI_CUSTCMD_RESERVED_157,             // 157, 0x9D
	DALI_CUSTCMD_RESERVED_158,             // 158, 0x9E
	DALI_CUSTCMD_RESERVED_159,             // 159, 0x9F
	DALI_CUSTCMD_RESERVED_160,             // 160, 0xA0
	DALI_CUSTCMD_RESERVED_161,             // 161, 0xA1
	DALI_CUSTCMD_RESERVED_162,             // 162, 0xA2
	DALI_CUSTCMD_RESERVED_163,             // 163, 0xA3
	DALI_CUSTCMD_RESERVED_164,             // 164, 0xA4
	DALI_CUSTCMD_RESERVED_165,             // 165, 0xA5
	DALI_CUSTCMD_RESERVED_166,             // 166, 0xA6
	DALI_CUSTCMD_RESERVED_167,             // 167, 0xA7
	DALI_CUSTCMD_RESERVED_168,             // 168, 0xA8
	DALI_CUSTCMD_RESERVED_169,             // 169, 0xA9
	DALI_CUSTCMD_RESERVED_170,             // 170, 0xAA
	DALI_CUSTCMD_RESERVED_171,             // 171, 0xAB
	DALI_CUSTCMD_RESERVED_172,             // 172, 0xAC
	DALI_CUSTCMD_RESERVED_173,             // 173, 0xAD
	DALI_CUSTCMD_RESERVED_174,             // 174, 0xAE
	DALI_CUSTCMD_RESERVED_175,             // 175, 0xAF
	DALI_CUSTCMD_RESERVED_176,             // 176, 0xB0
	DALI_CUSTCMD_RESERVED_177,             // 177, 0xB1
	DALI_CUSTCMD_RESERVED_178,             // 178, 0xB2
	DALI_CUSTCMD_RESERVED_179,             // 179, 0xB3
	DALI_CUSTCMD_RESERVED_180,             // 180, 0xB4
	DALI_CUSTCMD_RESERVED_181,             // 181, 0xB5
	DALI_CUSTCMD_RESERVED_182,             // 182, 0xB6
	DALI_CUSTCMD_RESERVED_183,             // 183, 0xB7
	DALI_CUSTCMD_RESERVED_184,             // 184, 0xB8
	DALI_CUSTCMD_RESERVED_185,             // 185, 0xB9
	DALI_CUSTCMD_RESERVED_186,             // 186, 0xBA
	DALI_CUSTCMD_RESERVED_187,             // 187, 0xBB
	DALI_CUSTCMD_RESERVED_188,             // 188, 0xBC
	DALI_CUSTCMD_RESERVED_189,             // 189, 0xBD
	DALI_CUSTCMD_RESERVED_190,             // 190, 0xBE
	DALI_CUSTCMD_RESERVED_191,             // 191, 0xBF
	DALI_CUSTCMD_RESERVED_192,             // 192, 0xC0
	DALI_CUSTCMD_RESERVED_193,             // 193, 0xC1
	DALI_CUSTCMD_RESERVED_194,             // 194, 0xC2
	DALI_CUSTCMD_RESERVED_195,             // 195, 0xC3
	DALI_CUSTCMD_RESERVED_196,             // 196, 0xC4
	DALI_CUSTCMD_RESERVED_197,             // 197, 0xC5
	DALI_CUSTCMD_RESERVED_198,             // 198, 0xC6
	DALI_CUSTCMD_RESERVED_199,             // 199, 0xC7
	DALI_CUSTCMD_RESERVED_200,             // 200, 0xC8
	DALI_CUSTCMD_RESERVED_201,             // 201, 0xC9
	DALI_CUSTCMD_RESERVED_202,             // 202, 0xCA
	DALI_CUSTCMD_RESERVED_203,             // 203, 0xCB
	DALI_CUSTCMD_RESERVED_204,             // 204, 0xCC
	DALI_CUSTCMD_RESERVED_205,             // 205, 0xCD
	DALI_CUSTCMD_RESERVED_206,             // 206, 0xCE
	DALI_CUSTCMD_RESERVED_207,             // 207, 0xCF
	DALI_CUSTCMD_RESERVED_208,             // 208, 0xD0
	DALI_CUSTCMD_RESERVED_209,             // 209, 0xD1
	DALI_CUSTCMD_RESERVED_210,             // 210, 0xD2
	DALI_CUSTCMD_RESERVED_211,             // 211, 0xD3
	DALI_CUSTCMD_RESERVED_212,             // 212, 0xD4
	DALI_CUSTCMD_RESERVED_213,             // 213, 0xD5
	DALI_CUSTCMD_RESERVED_214,             // 214, 0xD6
	DALI_CUSTCMD_RESERVED_215,             // 215, 0xD7
	DALI_CUSTCMD_RESERVED_216,             // 216, 0xD8
	DALI_CUSTCMD_RESERVED_217,             // 217, 0xD9
	DALI_CUSTCMD_RESERVED_218,             // 218, 0xDA
	DALI_CUSTCMD_RESERVED_219,             // 219, 0xDB
	DALI_CUSTCMD_RESERVED_220,             // 220, 0xDC
	DALI_CUSTCMD_RESERVED_221,             // 221, 0xDD
	DALI_CUSTCMD_RESERVED_222,             // 222, 0xDE
	DALI_CUSTCMD_RESERVED_223,             // 223, 0xDF
	DALI_CUSTCMD_RESERVED_224,             // 224, 0xE0
	DALI_CUSTCMD_RESERVED_225,             // 225, 0xE1
	DALI_CUSTCMD_RESERVED_226,             // 226, 0xE2
	DALI_CUSTCMD_RESERVED_227,             // 227, 0xE3
	DALI_CUSTCMD_RESERVED_228,             // 228, 0xE4
	DALI_CUSTCMD_RESERVED_229,             // 229, 0xE5
	DALI_CUSTCMD_RESERVED_230,             // 230, 0xE6
	DALI_CUSTCMD_RESERVED_231,             // 231, 0xE7
	DALI_CUSTCMD_RESERVED_232,             // 232, 0xE8
	DALI_CUSTCMD_RESERVED_233,             // 233, 0xE9
	DALI_CUSTCMD_RESERVED_234,             // 234, 0xEA
	DALI_CUSTCMD_RESERVED_235,             // 235, 0xEB
	DALI_CUSTCMD_RESERVED_236,             // 236, 0xEC
	DALI_CUSTCMD_RESERVED_237,             // 237, 0xED
	DALI_CUSTCMD_RESERVED_238,             // 238, 0xEE
	DALI_CUSTCMD_RESERVED_239,             // 239, 0xEF
	DALI_CUSTCMD_RESERVED_240,             // 240, 0xF0
	DALI_CUSTCMD_RESERVED_241,             // 241, 0xF1
	DALI_CUSTCMD_RESERVED_242,             // 242, 0xF2
	DALI_CUSTCMD_RESERVED_243,             // 243, 0xF3
	DALI_CUSTCMD_RESERVED_244,             // 244, 0xF4
	DALI_CUSTCMD_RESERVED_245,             // 245, 0xF5
	DALI_CUSTCMD_RESERVED_246,             // 246, 0xF6
	DALI_CUSTCMD_RESERVED_247,             // 247, 0xF7
	DALI_CUSTCMD_RESERVED_248,             // 248, 0xF8
	DALI_CUSTCMD_RESERVED_249,             // 249, 0xF9
	DALI_CUSTCMD_RESERVED_250,             // 250, 0xFA
	DALI_CUSTCMD_RESERVED_251,             // 251, 0xFB
	DALI_CUSTCMD_RESERVED_252,             // 252, 0xFC
	DALI_CUSTCMD_RESERVED_253,             // 253, 0xFD
	DALI_CUSTCMD_RESERVED_254,             // 254, 0xFE
	DALI_CUSTCMD_RESERVED_255,             // 255, 0xFF
};

#endif /* INC_DALI_CUST_CMDS_H_ */
